curl --request GET \
--url https://{defaultHost}/v1/shipping_methods/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipping_methods/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipping_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "126806b0-e658-4bb3-8346-bd2c2c23c4f6",
"object": "shipping_method",
"description": "Deliver within 1-2 days",
"name": "Express",
"created_at": 1787228489,
"updated_at": 1787228489
}Retrieve
Retrieves details of a specific shipping method.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
A name for this shipping method that will be visible to customers.
A short description for this shipping method that will be visible to customers.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Expandable – Property not returned unless expanded.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?